namespace Quik.OpenGL
{
    public enum GLEnum : int
    {
        GL_OK = 0,
        GL_MAJOR_VERSION = 0x821B,
        GL_MINOR_VERSION = 0x821C,
        GL_VENDOR = 0x1F00,
        GL_RENDERER = 0x1F01,
        GL_VERSION = 0x1F02,
        GL_EXTENSIONS = 0x1F03,

        GL_MULTISAMPLE = 0x809D,
        GL_BLEND = 0x0BE2,

        GL_COLOR_BUFFER_BIT = 0x00004000,

        GL_SRC_ALPHA = 0x0302,
        GL_ONE_MINUS_SRC_ALPHA = 0x0303,

        GL_VERTEX_SHADER = 0x8B31,
        GL_FRAGMENT_SHADER = 0x8B30,
        GL_INFO_LOG_LENGTH = 0x8B84,
        GL_COMPILE_STATUS = 0x8B81,
        GL_LINK_STATUS = 0x8B82,

        GL_UNSIGNED_BYTE = 0x1401,
        GL_UNSIGNED_SHORT = 0x1403,
        GL_UNSIGNED_INT = 0x1405,
        GL_FLOAT = 0x1406,

        GL_RED = 0x1903,
        GL_ALPHA = 0x1906,
        GL_RGB = 0x1907,
        GL_RGBA = 0x1908,

        GL_ARRAY_BUFFER = 0x8892,
        GL_ELEMENT_ARRAY_BUFFER = 0x8893,

        GL_STREAM_DRAW = 0x88E0,

        GL_TEXTURE0 = 0x84C0,
        GL_TEXTURE1 = GL_TEXTURE0 + 1,
        GL_TEXTURE2 = GL_TEXTURE0 + 2,
        GL_TEXTURE3 = GL_TEXTURE0 + 3,
        GL_TEXTURE4 = GL_TEXTURE0 + 4,
        GL_TEXTURE5 = GL_TEXTURE0 + 5,
        GL_TEXTURE6 = GL_TEXTURE0 + 6,

        GL_TEXTURE_2D = 0x0DE1,
        GL_UNPACK_ALIGNMENT = 0x0CF5,

        GL_TEXTURE_MAG_FILTER = 0x2800,
        GL_TEXTURE_MIN_FILTER = 0x2801,
        GL_NEAREST = 0x2600,
        GL_LINEAR = 0x2601,
        GL_NEAREST_MIPMAP_NEAREST = 0x2700,
        GL_LINEAR_MIPMAP_NEAREST = 0x2701,
        GL_NEAREST_MIPMAP_LINEAR = 0x2702,
        GL_LINEAR_MIPMAP_LINEAR = 0x2703,

        GL_TEXTURE_WRAP_S = 0x2802,
        GL_TEXTURE_WRAP_T = 0x2803,
        GL_CLAMP_TO_EDGE = 0x812F,
        GL_CLAMP_TO_BORDER = 0x812D,
        GL_MIRRORED_REPEAT = 0x8370,
        GL_MIRROR_CLAMP_TO_EDGE = 0x8743,
        GL_CLAMP = 0x2900,
        GL_REPEAT = 0x2901,

        GL_TRIANGLES = 0x0004,
    }
}